from django.forms import BaseModelForm
from django.http import HttpResponse
from accounts import forms

from django.views import generic
from django.contrib.auth import login, get_user_model
from django.shortcuts import redirect, render


class RegisterView(generic.CreateView):
    model = get_user_model()
    template_name = 'auth/register.html'
    form_class = forms.RegisterForm
    
    def form_valid(self, form):
        user = form.save()
        login(self.request, user)
        
        return redirect(self.get_success_url())
    
    def get_success_url(self):
        return self.request.POST.get(
            'next',
            self.request.GET.get('next', '')
        )
